[v-cloak] {
  display: none;
}

@import "base/mixin";
@import "base/variable";
//@import "base/fonts";
// @import "partials/nothan-font-icon";
@import "partials/addon";
@import "partials/aside";
@import "partials/form";
@import "partials/header";
@import "partials/footer";
@import "partials/quick-nav";
@import "partials/pagination";
@import "partials/modal";
@import "partials/table";
@import "partials/alert";
@import "partials/popup";
@import "partials/toastr";
@import "partials/wizard";
@import "partials/vselect";
@import "partials/timeline";
@import "partials/media";
@import "partials/loader";
@import "partials/note";
@import "partials/pipe";
@import "partials/report";
@import "partials/accordion";
@import "partials/portlet";
@import "pages/dashbroad";
@import "pages/customer";
@import "pages/import";
@import "pages/product";
@import "pages/case";
@import "pages/deal";
@import "pages/file";
@import "pages/campaign";
@import "partials/sms-template";
@import "pages/email";
@import "pages/sms";
@import "pages/report";
@import "pages/settings";
@import "pages/errors";
// @import url('https://fonts.googleapis.com/css?family=Barlow:300,300i,400,400i,500,500i,600,600i&subset=latin-ext,vietnamese');
//@import "~vue-snotify/styles/material";

//html, body {
//  font-family: $font-regular;
//  font-weight: normal;
//}
//
//h1, h2, h3, h4, h5, h6, strong, b {
//  font-weight: normal;
//  font-family: $font-bold;
//}

.form-control,
.tooltip,
h1,
h2,
h3,
h4,
h5,
h6,
.h1,
.h2,
.h3,
.h4,
.h5,
.h6 {
  font-family: 'Barlow', sans-serif !important;
}

.form-control[disabled] {
  border-color: #CCD2E2;
}

html,
body {
  font-family: 'Barlow', sans-serif !important;
  font-size: 14px;
}

// .m-link.m-link--primary {
//color: #2577C9;
//&:hover{
//    color: #2577C9;
//    &:after{
//        border-bottom: 1px solid #2577C9;
//    }
//}
// }

.s--btn_disabled {
  cursor: no-drop !important;
  border-color: #f4f5f8 !important;
  background-color: #f4f5f8 !important;
  opacity: 1 !important;
  color: #6f727d !important;
}

.s--btn-outline_disabled {
  cursor: no-drop !important;
  border-color: #e2e5ec !important;
  color: #e2e5ec !important;
  opacity: 1 !important;

  &:hover {
    background-color: #fff !important;
  }
}

.btn {
  font-family: 'Barlow' !important;
}

.btn.s--btn-outline_disabled.btn-outline-primary.active,
.btn.s--btn-outline_disabled.btn-outline-primary.focus,
.btn.s--btn-outline_disabled.btn-outline-primary:focus,
.btn.s--btn-outline_disabled.btn-outline-primary:hover:not(:disabled) {
  color: #e2e5ec !important;
}

a {
  &:hover {
    text-decoration: none;
  }
}

.s--portlet__head-text {
  font-size: 15px !important;
  cursor: pointer;
}

.s--uppercase-first-word::first-letter {
  text-transform: uppercase;
}

.m-tooltip--portlet {
  display: none;
}

.disabled-box {
  border-color: #f4f5f8 !important;
  color: #6f727d !important;
  background-color: #f4f5f8 !important;

  display: block;
  width: 100%;
  padding: .85rem 1.15rem;
  font-size: 1rem;
  line-height: 1.25;
  background-clip: padding-box;
  border: 1px solid #ced4da;
  border-radius: .25rem;
  -webkit-transition: border-color 0.15s ease-in-out, -webkit-box-shadow 0.15s ease-in-out;
  transition: border-color 0.15s ease-in-out, -webkit-box-shadow 0.15s ease-in-out;
  transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
  transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out, -webkit-box-shadow 0.15s ease-in-out;
}

.is-pannel-right {
  margin-right: 300px;

  .m-stack.m-stack--general {
    margin-right: 300px;
  }
}

.m-body {
  //padding-right: 55px;
  padding-bottom: 30px;

  .m-content {
    padding: 20px !important;
    padding-top: 0 !important;
    position: relative;
  }
}

.m-portlet {
  margin-bottom: 20px;

  &.m-portlet--tabs {
    .m-portlet__head {
      padding: 0 20px;
    }
  }

  .m-portlet__body {
    padding: 20px;
  }

  .m-portlet__head {
    padding: 0 20px;
  }
}

.m-portlet--tabs {
  .m-portlet__head {
    height: auto;
    min-height: 40px;
  }

  .m-tabs-line {
    .m-tabs__item {
      margin-right: 15px;
      margin-left: 0;

    }
  }
}

.s-body-fix {
  overflow: hidden;
}

.s-text-gradient {
  @include text-gradient();
}

.s-bg-gradient {
  @include bg-gradient();
}

.s-text-gradient-hover {
  &:hover {
    @include text-gradient();
  }
}

.m-header--fixed .m-body {
  padding-top: 60px !important;
}

.s--cursor-none {
  cursor: inherit;
}

.s--cursor-not-allow {
  cursor: not-allowed !important;
}

.s--cursor-no-drop {
  cursor: no-drop !important;
}

.s--cursor-pointer {
  cursor: pointer;
}

.s--pointer-events-none {
  pointer-events: none;
  background-color: #F4F5F9;
  border: 1px solid #CCD2E2;
  color: #A1A7BB !important;

  &:hover {
    color: #A1A7BB !important;
  }
}

.m-loader:before {
  z-index: 1;
}

/*
.s-content-list{
  width: 100%;
  display: inline-block;
  //height: calc(100vh - 380px);
  overflow: hidden;
  .s-list--filter{
    //width: 300px;
    float: left;
    border: 1px solid #f4f5f8;
    height: 100%;
    padding: 10px 0;
    .s-list--filter-title{
      font-size: 16px;
    }
    .s-list--filter-body{
      height: calc(100% - 52px);
      overflow: auto;
      margin-bottom: 20px;
      padding: 0 10px;
    }
    .s-list--filter-footer{
      text-align: right;
      padding: 0 10px;
    }
  }
  .s-list--table{
    //width: calc(100% - 300px);
    float:left;
    //height: 100%;
    .table-responsive{
      //height: calc(100vh - 380px);
      table{
        margin-bottom: 0;
      }
    }
  }
}
*/
/* Let's get this party started */
.m-widget5 .m-widget5__item .m-widget5__content .m-widget5__section .m-widget5__desc {
  font-size: 11.5px;
}

.m-widget5 .m-widget5__item .m-widget5__content .m-widget5__stats1 .m-widget5__number {
  display: inline-block;
  width: 120px;
}

.s-number-check {
  color: #444F78;
  font-size: 14px;
  text-decoration: none;
  pointer-events: none;
  display: inline-block;
  margin-left: 5px;
}

.badge-top-right {
  border: 1px solid #f4516c;
  border-radius: 50%;
  width: 15px;
  height: 15px;
  text-align: center;
  line-height: 15px;
  font-size: 11px;
  background-color: #f4516c;
  color: #fff !important;
  top: 2px;
  right: -5px;
  position: absolute;
}

.config-overlay {
  height: 100%;
  width: 100%;
  z-index: 10;
  display: none;
  left: 0;
  top: 0;
  position: fixed;

  &.is-active {
    display: block;
  }
}

.config {
  position: fixed;
  right: 0;
  display: flex;
  top: 50%;
  transform: translate(260px, -50%);
  transition: all 0.3s ease-in-out;
  z-index: 11;

  &.is-active {
    transform: translate(0, -50%);

  }

  .config-toggle {
    width: 40px;
    height: 40px;
    display: block;
    line-height: 40px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    text-align: center;
    position: relative;

    &:hover {
      text-decoration: none;
    }
  }

  .config-content {
    position: relative;
    padding: 20px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    min-width: 260px;
    //min-height: 200px;
  }

}

.s-message {
  font-size: 15px;
}

.not-value {
  font-style: italic;
  font-size: 13px;
  opacity: 0.8;
  color: #A1A7BB;
  //margin-top: 2px;
}

.disabled-criteria-filter-default {
  pointer-events: none;

  //opacity: 0.8;
  .remove-criteria {
    display: none;
  }
}

.s-disabled-opacity {
  opacity: 0.6;
}

.row {
  margin-right: -10px;
  margin-left: -10px;
}

.col-1,
.col-2,
.col-3,
.col-4,
.col-5,
.col-6,
.col-7,
.col-8,
.col-9,
.col-10,
.col-11,
.col-12,
.col,
.col-auto,
.col-sm-1,
.col-sm-2,
.col-sm-3,
.col-sm-4,
.col-sm-5,
.col-sm-6,
.col-sm-7,
.col-sm-8,
.col-sm-9,
.col-sm-10,
.col-sm-11,
.col-sm-12,
.col-sm,
.col-sm-auto,
.col-md-1,
.col-md-2,
.col-md-3,
.col-md-4,
.col-md-5,
.col-md-6,
.col-md-7,
.col-md-8,
.col-md-9,
.col-md-10,
.col-md-11,
.col-md-12,
.col-md,
.col-md-auto,
.col-lg-1,
.col-lg-2,
.col-lg-3,
.col-lg-4,
.col-lg-5,
.col-lg-6,
.col-lg-7,
.col-lg-8,
.col-lg-9,
.col-lg-10,
.col-lg-11,
.col-lg-12,
.col-lg,
.col-lg-auto,
.col-xl-1,
.col-xl-2,
.col-xl-3,
.col-xl-4,
.col-xl-5,
.col-xl-6,
.col-xl-7,
.col-xl-8,
.col-xl-9,
.col-xl-10,
.col-xl-11,
.col-xl-12,
.col-xl,
.col-xl-auto {
  padding-right: 10px;
  padding-left: 10px;
}

.m-portlet.m-portlet--tabs .m-portlet__head .m-portlet__head-tools .m-tabs-line .m-tabs__item {
  position: relative;
}

.s--list-sort {
  display: inline-block;
  float: left;
  position: relative;
  top: 4px;
  margin-left: 5px;
  height: 16px;
  width: 10px;
  text-align: left;

  span {
    cursor: pointer;
    position: absolute;
    top: 0;
    line-height: 0;

    i {
      font-size: 13px;
      width: 8px;
      height: 6px;
      line-height: 0;
      color: #d4d8dc;

      &:before {
        margin-top: 6px;
        width: 8px;
        height: 6px;
        line-height: 0;
        position: absolute;
      }
    }

    &:nth-of-type(2) {
      top: 6px;

      i {
        &:before {
          margin-top: 0;
        }
      }
    }

    &.is-current {
      i {
        color: #00a4bd;
      }
    }
  }
}

.s--file-attach-item-image {
  a {
    display: block;
    width: 100%;
    height: 100%;
    position: relative;

    &:after {
      position: absolute;
      content: '';
      left: 0;
      top: 0;
      background-color: rgba(0, 0, 0, 0.3);
      width: 100%;
      height: 100%;
      opacity: 0;
    }

    .s--file-item-download {
      position: absolute;
      left: 50%;
      top: 50%;
      -webkit-transform: translate(-50%, -50%);
      transform: translate(-50%, -50%);
      z-index: 2;
      opacity: 0;

      i {
        font-size: 30px;
        color: #fff;
      }
    }

    &:hover {
      &:after {
        opacity: 1;
      }

      .s--file-item-download {
        opacity: 1;
      }
    }
  }
}

/* Handle */
::-webkit-scrollbar {
  width: 8px;
  height: 8px;
}

::-webkit-scrollbar-thumb {
  background: rgba(0, 0, 0, 0.2);
}

::-webkit-scrollbar-thumb:window-inactive {
  background: rgba(0, 0, 0, 0.2);
}

.v_settings_trash {
  .s--table-showpopup-list {
    .modal {
      .modal-footer {
        display: none;
      }
    }
  }

  .s--table-trash-list {
    .thumbnail_url {
      img {
        max-width: 120px;
      }

      .files__icon--preview-images {
        display: block;
        float: left;
        position: relative;

        .m-link {
          img {
            width: 120px;
          }

          .files__background--preview-hover {
            position: absolute;
            display: none;
            top: 0px;
            left: 0px;
            width: 100%;
            height: 100%;
            z-index: 900;
            //background: rgba(245, 210, 210, 0.6);
            background-color: rgba(0, 0, 0, 0.3);

            i {
              position: absolute;
              left: 50%;
              top: 50%;
              transform: translate(-50%, -50%);
              font-size: 35px;
              //color: #333;
              color: #fff;
            }
          }

          &:hover {
            .files__background--preview-hover {
              display: block;
            }
          }
        }
      }
    }

    .result {
      min-width: 320px;

      .process--trash {
        position: relative;

        .progress {
          width: 50%;
          float: left;
          height: 18px;
        }

        .progress--percent {
          position: absolute;
          left: calc(48% / 2);
        }

        .progress--number {
          float: left;
          width: 50%;
          padding-left: 10px;

          .progress__number--success {
            color: #34bfa3;
          }
        }
      }
    }
  }
}

// hover list action
.s--list-action {
  &:hover~.s--list-count {
    .s-number-check {
      color: #ffb822;
      transition: color 0.3s ease-in-out;
    }
  }
}

.dataTables_wrapper {
  .table-responsive {
    table {
      tbody {
        tr {
          td {
            word-break: break-all;
          }
        }
      }
    }
  }
}

/*START FILTER*/
.nt-filter {
  margin-bottom: 10px;
  width: 300px;

  &.minimize {
    width: 50px
  }

  .nt-button-filter-main {

    .nt-filter-button-text {
      float: left;
      width: 48px;
    }

    .nt-filter-button-content {
      max-width: 320px;
      display: inline-block;
      text-overflow: ellipsis;
      white-space: nowrap;
      overflow: hidden;
      font-weight: 500;

      @include mediaQueryMax(768px) {
        max-width: 200px;
      }

      @include mediaQueryMax(480px) {
        max-width: 120px;
      }

      @include mediaQueryMax(320px) {
        max-width: 50px;
      }
    }

    .nt-filter-count-items {
      float: left;
      margin-left: 5px;
      margin-top: 1px;
      width: 45px;
    }

    .nt-filter-button-arrow {
      float: left;
      margin-left: 10px;
      margin-top: 2px;
    }

    &:after {
      display: none;
    }
  }

  .m-dropdown__wrapper {

    .m-dropdown__arrow--adjust {
      left: 100px !important;
    }

    .m-dropdown__inner {

      .m-nav {

        .m-nav__section {

          .m-nav__section-text {
            color: #B82E45 !important;
          }
        }

        .m-nav__item {

          a {

            .m-nav__link-text {
              font-size: 14px !important;
              color: #444F78 !important;
            }
          }

          &.m-nav__item--active {

            a {

              .m-nav__link-text {
                color: #B82E45 !important;
              }
            }
          }

          &:hover {
            background: none !important;

            a {

              .m-nav__link-text {
                color: #B82E45 !important;
              }
            }
          }
        }
      }
    }
  }
}

/*END FILTER*/

/*START CUSTOM SELECT*/
.nt-customer-select {
  width: inherit;
  position: relative;

  &[disabled] {
    pointer-events: none;

    .nt-customer-select-main {
      border-color: #CCD2E2;
      background-color: #f4f5f8;

      .nt-customer-select-textsearch {
        background-color: #f4f5f8;
      }
    }
  }

  .nt-customer-select-main {
    width: 100%;
    padding: 6px 28px 6px 12px;
    border: solid 1px #CCD2E2;
    border-radius: 4px;
    background: #FFFFFF;
    position: relative;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    cursor: pointer;

    .nt-customer-select-textsearch {
      width: 100%;
      font-size: 14px;
      color: #444F78;
      border: none;

      &:active,
      &:focus,
      &:hover,
      &:visited,
      &:focus-within {
        border: none !important;
        outline: none !important;
      }

      &::placeholder {
        color: #444F78;
      }
    }

    .nt-customer-select-textshow {
      font-size: 14px;
      color: #444F78;
    }

    .nt-customer-select-main-icon {
      position: absolute;
      top: 50%;
      right: 10px;
      transform: translate(0px, -50%);
      font-size: 10px;
      color: #444F78;
      font-weight: 600;
    }

    &.show-dropdown {
      border-top-right-radius: 4px;
      border-top-left-radius: 4px;
      border-bottom-left-radius: 0px;
      border-bottom-right-radius: 0px;
    }
  }

  .nt-customer-select-dropdown {
    position: absolute;
    width: 100%;
    top: 36px;
    min-height: 30px;
    border: solid 1px #CCD2E2;
    border-bottom-left-radius: 4px;
    border-bottom-right-radius: 4px;
    background: #FFFFFF;
    display: none;
    box-shadow: -1px 1px 2px rgba(68, 79, 120, 0.16), 1px 1px 2px rgba(68, 79, 120, 0.16);
    z-index: 11;

    .nt-customer-select-dropdown-main {
      list-style: none;
      margin: 0px;
      padding: 10px 0px;
      max-height: 300px;
      overflow-y: auto;
    }

    .nt-customer-select-dropdown-item {
      padding: 10px;
      cursor: pointer;
      background: #FFFFFF;
      color: #444F78;

      &:hover,
      &.nt-active-item {
        background: #F9FAFC;
      }
    }

    .nt-customer-select-dropdown-item-no-items {
      padding: 5px 10px;
      border-bottom: solid 1px #CCD2E2;
      cursor: pointer;
      background: #FFFFFF;
      color: #444F78;
      text-align: center;
    }
  }

  .nt-customer-select-dropdown-no-items {
    padding: 5px 10px;
    width: 100%;
    height: 100%;
    text-align: center;
    display: block;
  }

  .nt-customer-select-dropdown-item-add-new {
    padding: 8px 10px;
    text-align: center;
    background: #F9FAFC;
    border-top: solid 1px #EBEDF2;
    border-bottom-left-radius: 4px;
    border-bottom-right-radius: 4px;
  }
}

/*END CUSTOM SELECT*/

/*START TAB HEAD*/
.nt-tab-head {

  .nt-tab-head-body {
    padding: 20px !important;

    .nt-customer-tab-head {

      .nt-tab-head-item {

        .nt-tab-head-item-content-right {
          width: 270px;

          @include mediaQueryMax(1024px) {
            width: 100%;
          }
        }

        .nt-tab-head-item-content {
          width: calc(100% - 290px);
          margin-right: 20px;
          display: inline-block;
          float: left;

          @include mediaQueryMax(1024px) {
            width: 100%;
            margin-right: 0;
          }

          .nt-avatar-upload {
            width: 160px;
            float: left;
            position: relative;

            .nt-avatar-preview {
              position: relative;
              width: 160px;
              height: 160px;

              .nt-image-preview {
                width: 160px;
                height: 160px;
                background-size: contain;
                background-position: center center;
                box-shadow: 0px 1px 15px 1px rgba(69, 65, 78, 0.08);
                border-radius: 50%;
                background-repeat: no-repeat;
              }
            }

            .nt-avatar-upload-file {
              position: absolute;
              width: 40px;
              height: 40px;
              background: #69BE31;
              color: #FFFFFF;
              border-radius: 50%;
              display: flex;
              justify-content: center;
              align-items: center;
              right: 0px;
              bottom: 0px;
              cursor: pointer;

              label {
                margin: -1px 0px 0px 0px;
                cursor: pointer;
                width: 100%;
                height: 100%;
                display: flex;
                align-items: center;
                justify-content: center;

                i {
                  font-size: 20px;
                  cursor: pointer;
                }
              }
            }
          }

          .nt-tab-head-main {
            width: calc(100% - 198px);
            margin-left: 38px;
            float: left;

            @include mediaQueryMax(767px) {
              width: 100%;
              margin-left: 0;
              margin-top: 20px;
            }

            .nt-tab-head-main-title {
              font-size: 26px;
              color: #444F78;
              font-weight: 500;
              margin-bottom: 17px;

              .nt-tab-head-main-title-extra {
                margin-left: 10px !important;
                font-size: 20px !important;
                font-weight: 400 !important;
              }
            }

            .nt-tab-head-extra {
              color: #444F78 !important;
              font-size: 14px;
              font-weight: 500;
              align-items: end;
              margin-bottom: 15px;

              .nt-tab-head-extra-icon {
                font-size: 18px;
                margin-right: 10px;
              }

              .nt-tab-head-extra-label {
                font-size: 14px;
                margin-right: 10px;
              }

              .nt-tab-head-extra-content {
                font-size: 14px;
              }

              .nt-tab-head-extra-not-value {
                font-style: italic;
                font-size: 13px;
                opacity: 0.8;
                color: #A1A7BB;
                // margin-top: 2px;
              }
            }
          }
        }
      }
    }
  }
}

/*END TAB HEAD*/

/*START SWITCH TAB*/
.nt-switch-tab {

  .nt-switch-tab-head {
    background: #F9FAFC;

    .nt-switch-tab-item {

      a {
        font-weight: 500;
      }

      .nt-switch-tab-text {
        display: flex !important;
        justify-content: flex-start;
        align-items: center !important;
        border-bottom: solid 2px #FFFFFF !important;
        color: #444F78 !important;
        font-size: 16px;
        margin-bottom: 1px;

        .nt-switch-tab-icon {
          font-size: 20px;
          margin-right: 10px !important;
          color: #444F78 !important;
        }

        &.active {
          color: #B82E45 !important;
          border-color: #B82E45 !important;

          .nt-switch-tab-icon {
            color: #B82E45 !important;
          }
        }

        &:hover {
          color: #B82E45 !important;
          border-color: #B82E45 !important;

          .nt-switch-tab-icon {
            color: #B82E45 !important;
          }
        }
      }
    }
  }
}

.nt-switch-tab-wrapper {

  .nt-info-advanced {

    .m-form__group {

      label {
        color: #444F78;
        font-size: 14px !important;
      }

      .input-group {
        font-weight: 400;
        font-size: 14px !important;
      }
    }
  }

  .customer-tab-view {
    margin: 0px;

    // .m-form__group {

    //   &:last-child {
    //   margin-bottom: 0px;
    //   }
    // }
  }
}

/*END SWITCH TAB*/

/*START NOTE*/
.nt-note {

  .nt-note-form {

    .ql-toolbar {
      border-top-left-radius: 4px;
      border-top-right-radius: 4px;

      .ql-formats {

        .ql-bold,
        .ql-italic,
        .ql-underline {

          svg {
            width: 22px !important;
            height: 22px !important;

            .ql-stroke {
              stroke: #444F78 !important;
              stroke-width: 1.4px;
            }
          }
        }
      }
    }

    .ql-container {
      border-bottom-right-radius: 4px;
      border-bottom-left-radius: 4px;
      min-height: 160px;
    }

    .nt-note-upload-file {

      label {
        color: #444F78;
        border: none;
        cursor: pointer;
        padding: 0px;
        font-size: 14px;

        i {
          font-size: 20px;
          margin-right: 0px;
        }
      }

      &:hover {

        label {
          background: none !important;
        }
      }
    }
  }

  .box-search-notes {

    h5 {
      font-size: 24px;
      color: #444F78;
      font-weight: 400;

      small {
        font-size: 20px;
        color: #444F78;
        font-weight: 300;
        margin-left: 5px;
      }
    }
  }

  .nt-note-history {

    .nt-note-history-items {

      .nt-note-history-item {
        display: flex;

        .nt-note-history-item-circle {
          width: 12px !important;
          height: 12px !important;
          background-color: #FF8A00 !important;
          border-color: #FF8A00 !important;
          top: 0.3rem !important;
        }

        .m-timeline-2__item-text {
          color: #444F78;
          width: 100%;
          padding-left: 20px;

          .info-line3 {
            @include mediaQueryMax(1024px) {
              flex-direction: column;
            }
          }

          .s-note__time {
            font-weight: 500;
          }

          .nt-note-history-content {
            font-size: 14px;
            font-weight: 400;
          }

          .nt-note-history-detail-content {
            min-width: 200px;

            @include mediaQueryMax(1024px) {
              width: 100%;
              min-width: auto;
            }
          }

          .nt-note-history-file {
            margin-left: 10px;
            width: calc(100% - 210px);
            text-align: right;
            display: flex;
            justify-content: flex-end;
            font-size: 14px;

            @include mediaQueryMax(1024px) {
              width: 100%;
              justify-content: flex-start;
              margin-left: 0;
              margin-top: 10px;
            }

            i {
              font-size: 20px;
            }
          }
        }
      }

      &:before {
        left: 5px !important;
      }
    }
  }
}

/*END NOTE*/

/*START TABLE*/
.nt-table-list {
  width: 100% !important;

  &.nt-table-list-all {
    width: max-content !important;
    width: -webkit-max-content !important;
    width: -moz-max-content !important;
  }

  thead {
    background: #F4F5F9;
  }

  tr {
    &:hover {
      background-color: #f7f8fa !important;
    }

    &.nt-deleted-at {
      background-color: #EBEDF2;
      text-decoration: line-through;

      img,
      a,
      span,
      div {
        text-decoration: line-through;
      }

      a {

        &:hover,
        &:focus,
        &:focus-within,
        &:active {
          text-decoration: line-through !important;
        }
      }

      &:hover {
        background-color: #EBEDF2 !important;
      }
    }

    &.disabled {
      pointer-events: none;
      background-color: #f4f5f8;
    }

    th {
      color: #444F78 !important;
      border-bottom: none !important;
      border-color: #CCD2E2 !important;
      ;
      font-size: 14px;
      word-wrap: break-word !important;
      word-break: normal !important;
      vertical-align: middle !important;

      .nt-select-discount {
        background: rgb(244, 245, 249) !important;
        border: none !important;
        text-align: center !important;
        color: #444F78;
        font-weight: 500;

        option {
          padding: 5px;
        }

        &:active,
        &:focus,
        &:hover,
        &:visited,
        &:focus-within {
          border: none !important;
          outline: none !important;
        }
      }
    }

    td {
      border-color: #CCD2E2 !important;
      font-size: 14px;
      word-wrap: break-word !important;
      word-break: normal !important;

      .close-product {
        color: #A1A7BB !important;

        &:hover {
          color: #B82E45 !important;
        }
      }

      a {
        i {
          font-size: 12px;
        }
      }

      .nt-barge-dropdown {
        width: fit-content;
      }
    }

    .m-checkbox {
      padding-left: 15px !important;
    }


  }
}

.m-checkbox--primary {

  input {

    &:checked {

      ~span {
        border: 1px solid #444F78;
        background: #444F78;

        &:after {
          border: 1px solid #FFFFFF;
        }
      }
    }
  }
}

.nt-checkbox-minus-primary {
  position: relative;

  input {

    &:checked {

      ~span {
        border: 1px solid #444F78;
        background-color: #444F78;

        &:after {
          display: block;
          border-color: #FFFFFF;
        }
      }
    }

    ~span {
      border: 1px solid #444F78;
      background-color: #444F78;

      &:after {
        display: block;
        border-color: #FFFFFF;
      }
    }
  }

  span {

    &:after {
      content: "";
      position: absolute;
      display: none;
      width: 8px;
      height: 2px;
      background: white;
      transform: rotate(0);
      margin-left: -4px;
      margin-top: -1px;
    }
  }
}

.nt-lock-permission {
  float: left;
  width: 100%;
  height: 100%;

  @include mediaQueryMax(768px) {
    min-width: 600px;
  }

  .nt-table-lock {
    float: left;
    width: calc(100% - 367px) !important;
    height: 600px;
    overflow: auto;

    @include mediaQueryMax(768px) {
      height: auto;
    }

    &::-webkit-scrollbar {
      height: 7px;
      width: 8px;
    }
  }

  .nt-button-collapse {
    width: 20px;
    height: 20px;
    text-align: center;
    line-height: 20px;
    display: inline-block;
    background-color: #F4F5F9;
    border: 1px solid #CCD2E2;
    color: #444F78;
    border-radius: 4px;

    i {
      font-size: 10px;
      font-weight: bold;
      color: #444F78;
      margin-top: 5px;
      display: block;
    }
  }

  .nt-table-lock-left {
    width: 367px;
    float: left;
    z-index: 2;
    position: relative;
    height: 600px;
    overflow-x: scroll;

    @include mediaQueryMax(768px) {
      height: auto;
    }

    .nt-table-lock-left-content {
      width: 100%;

      .nt-table-lock-line {
        height: 40px;
        border-top: solid 1px #CCD2E2;
        border-left: solid 1px #CCD2E2;
        padding-left: 10px;
        display: flex;
        align-items: center;
        color: #444F78 !important;
        font-weight: 500;
        min-height: 42px;

        .nt-table-lock-parent {
          cursor: pointer;
        }

        &.nt-table-lock-head {
          background: #F4F5F9;

          span {
            font-weight: 500;
            font-size: 14px;
            word-wrap: break-word !important;
            word-break: normal !important;
          }
        }

        &:last-child {
          height: 41px !important;
          border-bottom: solid 1px #CCD2E2;
        }

        &.nt-table-block-parent-line:last-child {
          height: 49px !important;
        }
      }
    }

    &::-webkit-scrollbar {
      display: none !important;
    }
  }
}

.m-checkbox.m-checkbox--primary>span:after {
  border-color: #fff;
}

.m-checkbox.m-checkbox--primary>input:checked~span {
  border-color: #444F78;
}

/*END TABLE*/

/*START CHECKBOX && RADIO*/
.nt-checkbox {
  display: inline-block;
  position: relative;
  padding-left: 30px;
  cursor: pointer;
  font-size: 1rem;
  -webkit-transition: all 0.3s;
  transition: all 0.3s;

  .nt-checkbox-text {
    font-size: 14px !important;
    font-weight: 500;
    color: #444F78;
  }

  input {
    position: absolute;
    z-index: -1;
    opacity: 0;
    filter: alpha(opacity=0);
  }

  .nt-checkbox-symbol {
    border-radius: 3px;
    background: none;
    position: absolute;
    top: 1px;
    left: 0;
    height: 18px;
    width: 18px;
    font-size: 20px;
    font-weight: 500;
    color: #444F78;
    border: 1px solid #bdc3d4;

    &:after {
      content: '';
      position: absolute;
      top: 50%;
      left: 50%;
      margin-left: -2px;
      margin-top: -6px;
      width: 5px;
      height: 10px;
      border-width: 0 2px 2px 0
        /*rtl:ignore*/
         !important;
      -webkit-transform: rotate(45deg);
      transform: rotate(45deg)
        /*rtl:ignore*/
      ;
    }
  }

  &.nt-checkbox-primary {

    input {

      &:checked {

        ~.nt-checkbox-symbol {
          border: 1px solid #444F78;
          background: #444F78;

          &:after {
            border: 1px solid #FFFFFF;
          }
        }
      }
    }

    .nt-checkbox-symbol {

      &:after {
        border: solid transparent;
      }
    }

  }
}

.nt-table-radio {
  display: inline;
  padding-left: 20px;
  margin-bottom: 0px;
  position: relative;
  cursor: pointer;
  font-size: 22px;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;

  input {
    position: absolute;
    opacity: 0;
    cursor: pointer;
    height: 0;
    width: 0;

    &:checked {

      ~.nt-table-radio-symbol {
        background-color: #444F78;

        &:after {
          display: block;
        }
      }
    }
  }

  .nt-table-radio-symbol {
    position: absolute;
    top: 50%;
    left: 50%;
    height: 20px;
    width: 20px;
    transform: translate(-50%, -50%);
    border: solid 1px #CCD2E2;
    border-radius: 50%;

    &:after {
      content: "";
      position: absolute;
      display: none;
      top: 50%;
      left: 50%;
      width: 8px;
      height: 8px;
      border-radius: 50%;
      background: white;
      transform: translate(-50%, -50%);
    }
  }

  &:hover {

    input {

      ~.nt-table-radio-symbol {
        background-color: #ccc;
      }

      &:checked {

        ~.nt-table-radio-symbol {
          background-color: #444F78;
        }
      }
    }
  }
}

/*END CHECKBOX*/

/*START BUTTON*/
.nt-button {
  padding: 10px 20px;
  border: none;
  cursor: pointer;
  margin-right: 10px;
  font-size: 14px;
  border-radius: 4px;
  display: flex;
  align-items: center;
  width: fit-content !important;

  i {
    font-size: 16px;
    margin-right: 10px;
    margin-top: 2px;
  }

  &.nt-button-hide {
    display: none !important;
  }

  &.nt-button-top {
    height: 38px;
    border-radius: 60px;
    display: flex;
    align-items: center;

    i {
      margin-top: 0px;
    }

    span {
      margin-top: -2px;
    }

    &.nt-button-content {}

    &:last-child {
      margin-right: 0px;
    }

    &.pull-right {

      &:first-child {
        margin-right: 0px;
      }

      &:last-child {
        margin-right: 10px;
      }
    }
  }
}

.nt-button-pill {
  border-radius: 20px;
}

.nt-button-small {
  padding: 7px 20px;

  i {
    margin-top: - 2px;
  }
}

.nt-button-super-small {
  font-size: 13px;
  padding: 4px 15px;

  i {
    margin-top: - 2px;
  }
}

.nt-button-modal {
  padding: 8px 20px;
}

.nt-button-primary {
  background: #444F78;
  color: #FFFFFF !important;
  border: solid 1px #444F78;

  &:hover {
    background: #444F78;
    color: #FFFFFF !important;
    border: solid 1px #444F78;
  }
}

.nt-button-secondary {
  background: #FFFFFF;
  color: #444F78 !important;
  border: solid 1px #D9DDE8;

  &:hover {
    background: #444F78;
    color: #FFFFFF !important;
    border: solid 1px #444F78;
  }
}

.nt-button-pill {
  border-radius: 30px;
}

.nt-button-disabled {
  opacity: 0.4 !important;
  cursor: no-drop;
  pointer-events: none;
}

.nt-button-not-permisson {
  opacity: 0.4 !important;
  cursor: no-drop;
}

.nt-button-top-disabled {
  pointer-events: none;
  background-color: #F4F5F9;
  border: 1px solid #CCD2E2;
  color: #A1A7BB !important;
  opacity: 0.4 !important;

  &:hover {
    color: #A1A7BB !important;
  }
}

.nt-button-warning {
  background: #FF8A00;
  color: #FFFFFF !important;
  border: solid 1px #FF8A00;

  &:hover {
    background: #FF8A00;
    color: #FFFFFF !important;
    border: solid 1px #FF8A00;
  }
}

.nt-button-hover-primary {
  background: none !important;

  &:hover {
    background: #444F78 !important;
    color: #FFFFFF !important;
    ;
  }
}

.nt-button-38-height {
  height: 38px !important;
}

.nt-button-circle {
  border-radius: 100% !important;

  &.nt-button-circle-large {
    padding: 10px !important;
  }

  &.nt-button-circle-small {
    padding: 5px !important;
  }

  span {
    width: 16px !important;
    height: 16px !important;
    display: inline-flex !important;
  }

  i {
    padding: 0px !important;
    margin: 0px !important;
  }
}

/*END : BUTTON*/

/*START : BUTTON DROPDOWN*/
.nt-button-dropdown {
  .m-dropdown__body {
    padding: 20px;

    h5 {
      margin: 20px 20px 10px 20px;
    }

    .m-nav {

      .m-nav__item {
        padding: 0 0 12px 0;

        &:last-of-type {
          padding: 0;
        }

        a {
          padding: 0px;

          i {
            width: 26px;
            font-size: 20px;
            color: #444F78;
          }

          span {
            font-size: 14px;
            color: #444F78;
          }
        }

        &:hover {
          background: #FFFFFF;

          a {

            i {
              color: #B82E45 !important;
            }

            span {
              color: #B82E45 !important;
            }
          }
        }
      }
    }
  }
}

/*END : BUTTON DROPDOWN*/

/*START : COLOR*/
.nt-color-warning {
  color: #FF8A00;
}

.nt-color-primary {
  color: #444F78;
}

.nt-color-active {
  color: #B82E45 !important;
}

.nt-background-header-gradient {
  background-image: linear-gradient(to right, #B82E45, #7D438E);
}

.nt-background-footer {
  background: #F8F8FB;
}

/*END : COLOR*/


/*START : LABEL*/
.nt-label {
  color: #444F78 !important;
  font-weight: 500 !important;
  font-size: 14px !important;
}

/*END : LABEL*/

/*START : MODAL TITLE ICON*/
.nt-modal-title-icon {
  position: relative;
  top: 2px;
  font-size: 24px;
  padding-right: 10px;
}

/*END : MODAL TITLE ICON*/


/*START : FORM*/
.nt-disabled-input {
  background: rgb(255, 246, 235) !important;
  border-color: rgb(246, 199, 144) !important;
  pointer-events: none;
}

.nt-disabled-select {
  background: #F4F5F9 !important;
  border-color: #CCD2E2 !important;
  pointer-events: none;
}

.nt-disabled-link-permisson {
  opacity: .4;
}

/*END : FORM*/

/*START DROPDOWN*/
.nt-dropdown-menu {

  a {
    font-size: 14px;
    color: #444F78;

    i {
      width: 20px;
      font-size: 16px !important;
      color: #444F78 !important;
      //top: -4px !important;
    }

    &:hover {
      background: none !important;
      color: #B82E45 !important;

      i {
        color: #B82E45 !important;
      }
    }
  }
}

/*END DROPDOWN*/

/*START : COLLAPSE*/
.nt-collapse {
  position: relative;

  .nt-collapse-header {
    cursor: pointer;
    padding: 20px 0px;
    margin-bottom: 0px;
  }

  .nt-collapse-arrow {
    position: absolute;
    top: 50%;
    right: 0px;
    transform: translate(0, -50%);
    border: solid 1px #CCD2E2 !important;
    background: #F4F5F9 !important;
  }
}

/*END : COLLAPSE*/

/*START INPUT*/
.nt-input-table-search {
  font-size: 14px;
  padding: 7px 14px;
  border-radius: 4px;
  border: solid 1px #CCD2E2;
  color: #444F78;
  width: 100%;

  &:active,
  &:focus,
  &:visited,
  &:focus-within {
    outline: #444F78;
    border: solid 1px #444F78;
  }

  &::placeholder {
    color: #CCD2E2;
  }
}

.nt-input-action {
  position: relative;

  input,
  textarea {
    padding-right: 55px;

    &:active,
    &:focus,
    &:visited,
    &:focus-within {
      outline: #444F78;
      border: solid 1px #444F78;
    }

    &.nt-hidden {
      &.form-control-sm {
        padding-right: 0.8rem;
      }
    }
  }

  .nt-action {
    position: absolute;
    display: flex;
    align-items: center;
    right: 0;
    top: .45rem;

    //transform: translateY(-50%);
    &.nt-hidden {
      display: none;
    }

    .nt-action-item {
      margin-right: 10px;
      display: block;
      border-radius: 50%;
      text-align: center;

      i {
        font-size: 14px;
        text-aligin: center;
        color: #fff;
      }

      &.nt-save {
        background-color: #69BE31;

        &:after {
          font-family: 'nothan_iconV10' !important;
          content: "\ea93";
          color: #fff;
        }
      }

      &.nt-cancel {
        background-color: #B82E45;

        &:after {
          font-family: 'nothan_iconV10' !important;
          content: "\ea1e";
          color: #fff;
        }
      }

      &.nt-action-item-sm {
        width: 20px;
        height: 20px;
        margin-right: 5px;
        line-height: 20px;

        i {
          font-size: 13px;
        }

        &.nt-save {
          i {
            font-size: 11px;
          }

          &:after {
            font-size: 11px;
          }
        }

        &.nt-cancel {
          i {
            font-size: 9px;
          }

          &:after {
            font-size: 9px;
          }
        }
      }
    }
  }
}

/*END INPUT*/

/*START BASE*/
.nt-width-296 {
  width: 296px;

  @include mediaQueryMax(768px) {
    width: 100%;
  }
}

.nt-width-612 {
  width: 612px;

  @include mediaQueryMax(768px) {
    width: 100%;
  }
}

.nt-none-padding-top {
  padding-top: 0px !important;
}

.nt-title-modal {
  font-size: 24px !important;
  color: #FFFFFF !important;
}

.nt-title-icon-modal {
  font-size: 24px !important;
  color: #FFFFFF !important;
}

.nt-content-title-model {
  font-size: 24px;
  color: #444F78;
  margin-bottom: 20px;
}

.nt-search-box-form-control {
  height: 38px;
}

.nt-table-search-box {

  &:active,
  &:focus,
  &:focus-within {
    border-color: #444F78;
    outline-color: #444F78;
  }
}

.nt-barge-dropdown {
  background: #F4F5F9;
  border: solid 1px #CCD2E2;
  border-radius: 25px;
  color: #444F78;
  padding: 4px 15px;

  &.nt-barge-dropdown-primary {
    background: #6996D9;
    border: solid 1px #6996D9;
    color: #FFFFFF;
  }

  &.nt-barge-dropdown-success {
    background: #69BE31;
    border: solid 1px #69BE31;
    color: #FFFFFF;
  }

  &.nt-barge-dropdown-warning {
    background: #FF8A00;
    border: solid 1px #FF8A00;
    color: #FFFFFF;
  }

  &.nt-barge-dropdown-danger {
    background: #B82E45;
    border: solid 1px #B82E45;
    color: #FFFFFF;
  }
}

.nt-scroll-primary {
  -webkit-overflow-scrolling: touch;

  &::-webkit-scrollbar-thumb {
    background: #444F78;
    border-radius: 15px;
  }

  &::-webkit-scrollbar-track {
    visibility: hidden;
    /* doesn't seem to work */
  }

  &::-webkit-scrollbar:window-inactive {
    visibility: hidden;
  }

  &.has-scroll-bg {
    &::-webkit-scrollbar-track {
      visibility: visible;
      background: #D0D2E0;
      border-radius: 15px;
    }
  }
}

.nt-detail-portlet {

  .nt-detail-table-tool-bar {
    width: 100%;
    display: inline-flex;
    margin-bottom: 20px;

    @include mediaQueryMax(768px) {
      width: 100%;
      flex-direction: column;
    }

    .nt-detail-table-tool-bar-left {
      width: 50%;

      @include mediaQueryMax(768px) {
        width: 100%;
        margin-bottom: 20px;
      }
    }

    .nt-detail-table-tool-bar-right {
      width: 50%;

      @include mediaQueryMax(768px) {
        width: 100%;
      }

      display: inline-flex;
      float: right;
      justify-content: flex-end;

      .nt-table-search {
        width: 60%;
        position: relative;
        height: 38px;

        .nt-icon-search {
          position: absolute;
          top: 50%;
          transform: translate(0px, -50%);
          right: 10px;
          font-size: 18px;
        }

        .nt-input-table-search {
          padding: 7px 38px 7px 14px;
        }
      }

      .nt-table-action-right {
        margin-left: 10px;
        margin-right: 0px;
      }
    }
  }
}

.nt-font-primary {
  color: #2A94DB !important;
}

.nt-link {
  cursor: pointer;
  color: #2577C9 !important;
  font-weight: 500;

  &:hover {
    color: #2577C9 !important;
    font-weight: 500;
    text-decoration: underline;

    &:after {
      border-bottom: 1px solid #2577C9 !important;
      opacity: 0.5 !important;
    }
  }
}

/*END BASE*/

/*START SIDEBAR*/
.nt-settings-sidebar-menu {
  padding: 20px;
  background: #FFFFFF;

  .nt-settings-sidebar-menu-nav {
    padding: 0px !important;
    list-style: none;

    .nt-settings-sidebar-menu-head {
      font-size: 20px;
      color: #444F78;
      font-weight: 400;
      margin-bottom: 10px;
    }

    .nt-settings-sidebar-menu-item {

      a {
        padding: 13px 10px !important;
        display: flex;
        align-items: center;

        .nt-settings-sidebar-item-text,
        .nt-settings-sidebar-item-icon {
          color: #444F78 !important;
        }

        .nt-settings-sidebar-item-text {
          display: flex;
          width: 95%;

          i {
            font-size: 18px;
            margin-right: 10px;
          }
        }

        .nt-settings-sidebar-item-icon {
          font-weight: 600;
          font-size: 10px;
          width: 5%;

        }
      }

      &.nt-sidebar-menu-open>a {
        background: #FCF4F5 !important;

        .nt-settings-sidebar-item-text,
        .nt-settings-sidebar-item-icon {
          color: #B82E45 !important;
        }
      }

      .nt-settings-sidebar-menu-subnav {
        display: none;
        list-style: none;

        .nt-settings-sidebar-menu-subitem {

          a {
            padding: 6px 0px 6px 28px !important;
            display: flex !important;
            justify-content: flex-start !important;
            align-items: center !important;
            color: #444F78;

            &:hover {
              color: #B82E45;
            }
          }

          .nt-settings-sidebar-menu-subitem-icon {
            font-size: 6px;
            margin-right: 10px;
          }

          .nt-settings-sidebar-menu-subitem-text {
            font-size: 14px;
          }

          &.nt-sidebar-menu-active {

            .nt-settings-sidebar-menu-subitem-icon,
            .nt-settings-sidebar-menu-subitem-text {
              color: #B82E45;
            }
          }

          &:first-child {

            a {
              padding-top: 15px !important;
            }
          }
        }
      }
    }
  }
}

/*END SIDEBAR*/

.nt-tooltip {

  .tooltip-inner {
    max-width: 600px !important;
    width: fit-content !important;
  }
}


.nt-page {
  .nt-list-filter {
    @include mediaQueryMax(768px) {
      width: 100% !important;
    }
  }

  .nt-page-content {
    @include mediaQueryMax(768px) {
      margin-top: 20px !important;
      width: 100% !important;
    }
  }
}

.nt-title-small {
  font-weight: 500;
  font-size: 16px;
  line-height: 19px;
  color: #444F78;
}

.nt-count {
  color: #444F78;
  font-size: 14px;
  line-height: 21px;
}

.nt-bold {
  font-weight: bold;
}

.nt-simple-bold {
  font-weight: 600;
}

.nt-success {
  color: #69BE31;
}

.nt-danger {
  color: #B82E45;
}

.nt-warning {
  color: #FF8A00;
}

.centering {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.nt-box {
  display: inline-block;
  width: 100%;
  border-radius: 4px;
  color: #444F78;

  .nt-box-head,
  .nt-box-body {
    width: 100%;
    padding: 10px 20px;
    border: 1px solid #D9DDE8;
    position: relative;
  }

  .nt-box-head {
    background-color: #F8F8FB;
    border-top-left-radius: 4px;
    border-top-right-radius: 4px;
  }

  .nt-box-body {
    border-top: none;
    border-bottom-left-radius: 4px;
    border-bottom-right-radius: 4px;
  }
}

.nt-switch {
  &.nt-switch-success {
    input:checked~span:after {
      background-color: #69BE31 !important;
      box-shadow: 0px 3px 20px 0px rgba(105, 190, 49, 0.41) !important;
    }
  }
}

.nt_text-ellipsis {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.nt_btn-link {
  border: 0;
  padding: 0;
  cursor: pointer;
  color: #2577C9;
  font-weight: 500;
  background: none;

  &:hover {
    text-decoration: underline
  }

  &:disabled {
    pointer-events: none;
    opacity: .4;
  }
}

.ladda-button {
  &.nt-button-warning {
    font-size: inherit;
    background-color: #FF8A00;
    border: solid 1px #FF8A00;

    &:hover {
      background-color: #FF8A00;
      border: solid 1px #FF8A00;
    }

    &[disabled] {
      &:hover {
        background-color: #FF8A00;
      }

      background-color: #FF8A00;
      border: solid 1px #FF8A00;
      cursor: not-allowed;
      opacity: .4;
    }
  }

  &.nt_btn-sm {
    padding: 8px 15px
  }

  &.nt_btn {
    padding: 10px 20px
  }

  &.nt_btn-lg {
    padding: 12px 25px
  }
}

@media (min-width: 1440px) {
  .col-xxl-1 {
    flex: 0 0 8.33333%;
    max-width: 8.33333%
  }

  .col-xxl-2 {
    flex: 0 0 16.66667%;
    max-width: 16.66667%
  }

  .col-xxl-3 {
    flex: 0 0 25%;
    max-width: 25%
  }

  .col-xxl-4 {
    flex: 0 0 33.33333%;
    max-width: 33.33333%
  }

  .col-xxl-5 {
    flex: 0 0 41.66667%;
    max-width: 41.66667%
  }

  .col-xxl-6 {
    flex: 0 0 50%;
    max-width: 50%
  }

  .col-xxl-7 {
    flex: 0 0 58.33333%;
    max-width: 58.33333%
  }

  .col-xxl-8 {
    flex: 0 0 66.66667%;
    max-width: 66.66667%
  }

  .col-xxl-9 {
    flex: 0 0 75%;
    max-width: 75%
  }

  .col-xxl-10 {
    flex: 0 0 83.33333%;
    max-width: 83.33333%
  }

  .col-xxl-11 {
    flex: 0 0 91.66667%;
    max-width: 91.66667%
  }

  .col-xxl-12 {
    flex: 0 0 100%;
    max-width: 100%
  }
}

.ql-toolbar {
  &.ql-snow {
    .ql-picker-label {
      display: grid;
    }
  }
}

a {
  word-break: break-word;
}

.ghost-dragdrop {
  opacity: 0.4;
  background: #F4F5F9;
}

.cursor-pointer {
  cursor: pointer;
}

hr {
  border-top-color: #EBEDF2;

  &.nt-hr-pd-20 {
    width: calc(100% + 40px);
    position: relative;
    left: -20px;
    margin: 0;
  }
}

@media (max-width: 768px) {

  .m-dropdown.m-dropdown--mobile-full-width.m-dropdown--align-center>.m-dropdown__wrapper,
  .m-dropdown.m-dropdown--mobile-full-width>.m-dropdown__wrapper {
    min-width: 200px;
  }
}

.datepicker {
  .mx-shortcuts-wrapper {
    display: none;
  }

  &.mx-datepicker {

    .mx-input {
      max-height: 38px;
    }
  }
}